
# Sample .XCompose file

> Link: https://github.com/Udzu/xcompose/blob/master/Compose

This repo also hosts my personal .XCompose file, which contains over 10 000 memorable compose key sequences ʷᵉˡˡ ᵐᵉᵐᵒʳᵃᵇˡᵉ ᵗᵒ ᵐᵉ ᵃᵗ ˡᵉᵃˢᵗꜝ. To use them, copy all or parts of the config into your ~/.XCompose file. You can browse the sequences either directly in the config or using the [xcompose](https://github.com/Udzu/xcompose/) utility.

The file aims for memorability and consistency. As a result, a small number of the rules here conflict with the default system rules, with workarounds given in the comments (e.g. \<underscore>'s usefulness for subscripting often interferes with its system use for macrons, for which \<minus> works equally well as an alternative).

## Table of contents and examples

### Common script characters (215)
* **Spaces** (15): NBSP MMSP ZWSP etc
* **Dashes** (12): – — ⁓ ⸻ etc
* **Brackets** (20): ⟨ ⟦ ⸨ ⌈ ⫽ etc
* **Bullets** (11): • ‣ ⁃ ◉ etc
* **Currency symbols** (20): ₱ ₿ ₪ etc
* **Combining diacritics** (127): ń n̊ n̫ m͡n Zǎ̺̣͆̚l⃪ğ̶̍ö̱̰̥̂̃ etc
* **Bidirectional control** (10): LRI RLI PDI etc

### Latin script characters (1888)
* **International Phonetic Alphabet** (137): ⫽ˈɹɛ.dɪt⫽ [aɪ̯ pʰiː eɪ̯] etc
* **Mathematical alphanumerics** (731): 𝐀 𝐴 𝑨 A 𝗔 𝘈 𝘼 𝒜 𝓐 𝔄 𝕬 𝙰 𝔸 etc
* **Enclosed alphanumerics** (262): ⓼ 🅛 🆛 ⒜ ⒓ etc
* **Superscripts and subscripts** (146): ᵃ ᴬ ₐ ᴀ ◌ͣ etc
* **Multigraphs and ligatures** (309): ʣ ㏈ etc
* **Letter games** (303): ʇᴉppǝɹ ɟibbɘר டωᓀᓀ·–⟝ etc

### Non-Latin script characters (4821)
* **Arabic**, Mandaic, Syriac, Neo-Tifinagh, Thaana & Yezidi (294): ⁧رِيدِيت⁩, ⁧ࡓࡏࡃࡉࡕ⁩, ⁧ܪܗܕ݁ܝܬ݁⁩, ⵔⴻⴷⴷⵉⵜ, ⁧ރެދިތް⁩, ⁧𐺎𐺩𐺋𐺨𐺕⁩ etc
* **Armenian** (86): Րեդդիտ etc
* **Brahmic Scripts**: Bengali, Brahmi, Burmese, Chakma, Devanagari, Gujarati, Gurmukhi, Kannada, Limbu, Malayalam, Meitei, Odia, Saurashtra, Sinhala, Tamil, Telugu (1296): রেডিট, 𑀭𑁂𑀟𑀺𑀝, ရေဍိဋ္, 𑄢𑄬𑄘𑄨𑄖𑄳, रेडिट, રેડિટ, ਰੇਡਿਟ, ರೆಡಿತ್, ᤖᤧᤍᤡᤳ, രെഡിട്, ꯔꯦꯗꯤꯠ, ରେଡିଟ, ꢬꢾꢞꢶꢜ, රෙඩිට්, ரெடிட், రెడిట్ etc
* **Unified English Braille** (79): ⠗⠫⠙⠊⠞ etc
* **ConScripts**: Cherokee, Deseret, Inuktitut Syllabics, Ol Chiki, Shavian (488): ᎴᏗᏛ, 𐐡𐐇𐐔𐐆𐐓, ᕃᑎᑦ, ᱨᱮᱫᱫᱤᱛ, 𐑮𐑧𐑛𐑦𐑑 etc
* **Cyrillic** & Glagolitic (190): Ре́ддит, Ⱃⰵδδιτ etc
* **Geʽez** & NKo (409): ሬዲተ, ⁧ߙߍߘߘߌߕ⁩ etc
* **Georgian**: Mtavruli, Nuskhuri, Mkhedruli (154): რედდიტ, ႰႤႣႣႨႲ etc
* **Greek**, Coptic & Gothic (488): Ρέντιτ, Ⲣⲉⲇⲇⲓⲧ, 𐍂𐌴𐌳𐌳𐌹𐍄 etc
* **Hebrew**, Phoenician, & Samaritan (159): ⁧רֶדִיט⁩, ⁧𐤓𐤃𐤕⁩, ⁧ࠓࠝࠃࠪࠕ⁩ etc
* **Japanese** (mostly kana) (302): 「レヂィット」 etc
* **Korean** (using positional jamo) (118): 레딧 etc
* **International Morse Code** (76): ···---··· etc
* **Old Italic** & Runic (117): 𐌓𐌄𐌃𐌃𐌉𐌕, ᚱᛖᛞᛞᛁᛏ etc
* **Thai**, Babayin, Khmer & Lao (261): เรดดิต, ᜍᜒᜇᜒᜆ᜔, រេទិត, ເຣັດິຕ etc
* **Zhuyin**, Mongolian, Tai Le & Tibetan (304): ㄏㄨㄥˊㄉㄧˊ, ᠷᠡᠳᠢᠲ, ᥘᥦᥖᥤᥖ, རེཌིཊ྄ etc

### Symbols (2670)
* **Emoji** (1517): 😉 👌🏾 🇳🇿 🫡 👉🏼 💔 🤣 🤦🏽‍♀️ 🏳️‍⚧️ ✨ etc
* **Math and science** (266): ρ(∂v⃗/∂t + (v⃗·∇)v) ∫πeⁱᶿ dθ etc.
* **Numerals** (84): 𝍸𝍷 𝍵 Ⅻ ↁ etc
* **Music** (97): 𝄞 𝅗𝅨𝅥 𝅃𝅥𝅮 𝆍𝆑𝆎 etc
* **Games** (263): ♞c6 🩡 🂽 🁖 🀄︎ etc
* **Astrology** (81): ♈ 🐉 🌒 ☿ ♇ etc
* **Arrows** (155): ↦ ↺ ⇄ ⇼ ⏎ ⇬ etc
* **Geometric shapes** (159): ⬛ ⬚ 🟣 ◐ ◭ ◈ ✶ etc
* **Box drawing** (48): ╞╦╕ etc
